Jump to content

arham

Members
  • Content count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About arham

  • Rank
    Newbie
  1. Not Enough Space For Selected Filed

    Running Retrospect 6.x on Snow Leopard isn't supported. Downgrade to Leopard or upgrade to Retrospect 8.
×